#
# spec file for package oprofile (Version 0.9.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           oprofile
BuildRequires:  binutils-devel fdupes java2-devel-packages libxslt popt-devel qt3-devel update-desktop-files
Url:            http://oprofile.sourceforge.net/
License:        GPLv2+
Group:          Development/Tools/Other
AutoReqProv:    on
PreReq:         /usr/sbin/groupadd /usr/sbin/useradd
Version:        0.9.6
Release:        1
Summary:        System-Wide Profiler for Linux Systems
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.rpmlintrc
Source3:        baselibs.conf
Patch1:         oprofile-0.9.5-buildfixes.diff
Patch2:         oprofile-0.9.4-fixes.diff

%description
OProfile is a system-wide profiler for Linux systems, capable of
profiling all running code at low overhead. OProfile is released under
the GNU GPL.

It consists of a kernel module and a daemon for collecting sample data,
and several post-profiling tools for turning data into information.

OProfile leverages the CPU hardware performance counters to enable
profiling of a wide variety of interesting statistics, which can also
be used for basic time-spent profiling. All code is profiled: hardware
and software interrupt handlers, kernel modules, the kernel, shared
libraries, and applications (the only exception being the oprofile
interrupt handler itself).

OProfile is currently in alpha status; however it has proven stable
over a large number of differing configurations. As always, there is no
warranty.

This is the package containing the userspace tools.



Authors:
--------
    John Levon <moz@compsoc.man.ac.uk>
    Philippe Elie <phil_e@clubinternet.fr>
    Dave Jones <davej@suse.de>
    Bob Montgomery <bobm@fc.hp.com>

%package devel
Summary:        System-Wide Profiler for Linux Systems
Group:          Development/Libraries/C and C++
License:        GPLv2+ ; LGPLv2.1+
AutoReqProv:    on
Requires:       libopagent1 = %{version}-%{release} binutils-devel

%description devel
OProfile is a system-wide profiler for Linux systems, capable of
profiling all running code at low overhead. OProfile is released under
the GNU GPL.

It consists of a kernel module and a daemon for collecting sample data,
and several post-profiling tools for turning data into information.

OProfile leverages the CPU hardware performance counters to enable
profiling of a wide variety of interesting statistics, which can also
be used for basic time-spent profiling. All code is profiled: hardware
and software interrupt handlers, kernel modules, the kernel, shared
libraries, and applications (the only exception being the oprofile
interrupt handler itself).

OProfile is currently in alpha status; however it has proven stable
over a large number of differing configurations. As always, there is no
warranty.

This package contains the files needed to develop JIT agents for other
virtual machines.



Authors:
--------
    John Levon <moz@compsoc.man.ac.uk>
    Philippe Elie <phil_e@clubinternet.fr>
    Dave Jones <davej@suse.de>
    Bob Montgomery <bobm@fc.hp.com>

%package -n libopagent1
Summary:        System-Wide Profiler for Linux Systems
Group:          Development/Libraries/C and C++
License:        GPLv2+ ; LGPLv2.1+
AutoReqProv:    on

%description -n libopagent1
OProfile is a system-wide profiler for Linux systems, capable of
profiling all running code at low overhead. OProfile is released under
the GNU GPL.

It consists of a kernel module and a daemon for collecting sample data,
and several post-profiling tools for turning data into information.

OProfile leverages the CPU hardware performance counters to enable
profiling of a wide variety of interesting statistics, which can also
be used for basic time-spent profiling. All code is profiled: hardware
and software interrupt handlers, kernel modules, the kernel, shared
libraries, and applications (the only exception being the oprofile
interrupt handler itself).

OProfile is currently in alpha status; however it has proven stable
over a large number of differing configurations. As always, there is no
warranty.

This package contains the files needed to develop JIT agents for other
virtual machines.



Authors:
--------
    John Levon <moz@compsoc.man.ac.uk>
    Philippe Elie <phil_e@clubinternet.fr>
    Dave Jones <davej@suse.de>
    Bob Montgomery <bobm@fc.hp.com>

%prep
%setup -q
%patch1
%patch2 -p1

%build
autoreconf -fi
./configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
  --prefix=/usr --mandir=%{_mandir} --libdir=%{_libdir} \
  --with-kernel-support --with-java=$PWD/java \
  --with-qt-libraries=%_libdir/qt3/%_lib
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT htmldir=%{_docdir}/oprofile install
%suse_update_desktop_file -i %name Development Profiling
rm -vf $RPM_BUILD_ROOT%{_libdir}/libopagent.*a
# Hardlink duplicate files automatically (from package fdupes):
# It doesn't save much, but it keeps rpmlint from breaking the package build.
%fdupes $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -r oprofile 2>/dev/null || :
/usr/sbin/useradd -r -g oprofile -d /var/lib/empty -s /bin/false -c "Special user account to be used by OProfile" oprofile 2>/dev/null || :

%post -n libopagent1 -p /sbin/ldconfig

%postun -n libopagent1 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/applications/*.desktop
/usr/share/oprofile
%{_mandir}/man1/*
%doc doc/oprofile.html doc/internals.html doc/opreport.xsd
%doc COPYING README TODO ChangeLog

%files devel
%defattr(-,root,root)
/usr/include/*
%doc doc/op-jit-devel.html 
%{_libdir}/libopagent.so

%files -n libopagent1
%defattr(-,root,root)
%{_libdir}/*.so.1*

%changelog
